워드프레스 6.3 - PHP 5에 대한 지원 중단

Last Updated: 2023년 09월 20일 | 댓글 남기기

워드프레스 6.3이 2023년 8월 8일에 공개될 예정입니다. 6.3 버전에서는 공식적으로 PHP 5에 대한 지원을 중단한다고 합니다. 워드프레스는 2019년부터 최소 지원 버전을 PHP 5.6.20으로 설정했습니다. 이제 차기 버전에서는 이러한 최소 요구 사항이 7.0.0으로 업데이트됩니다. 권장 PHP 버전은 기존과 동일하게 PHP 7.4 이상으로 유지됩니다.

워드프레스 6.3 - PHP 5에 대한 지원 중단

관행상 점유율이 5% 이하면 지원이 중단됩니다. 2019년, 워드프레스 5.2 버전부터 최소 지원 버전이 마지막으로 조정되었고, 이후에 PHP 5.6의 점유율이 2023년 7월 현재 3.9%로 떨어졌다고 합니다.

설치된 워드프레스 버전의 점유율과 PHP 버전 점유율을 워드프레스의 통계(Statistics) 페이지에서 확인할 수 있습니다.

워드프레스 6.3 - PHP 5에 대한 지원 중단 - PHP 점유율
PHP 버전 점유율.

현재 워드프레스 사이트에 가장 많이 사용되는 PHP 버전은 50.9%의 사용률을 기록하고 있는 PHP 7.4입니다.

  • 8.2 - 2.3%
  • 8.1 - 9.5%
  • 8.0 - 14.3%
  • 7.4 - 50.9%
  • 7.3 - 7.8%
  • 7.2 - 6.2%
  • 7.1 - 1.4%
  • 7.0 - 2%
  • 5.6 - 3.9%
  • 5.5 - 0.4%
  • 5.4 - 0.5%
  • 5.3 - 0.6%
  • 5.2 - 0.2%

1년 정도 지나면 PHP 7 버전 중에서는 7.4만 남을 것 같습니다.

최신 워드프레스 버전은 현재 PHP 8.2이며 블루호스트, 클라우드웨이즈 등 대부분의 해외 호스팅에서는 PHP 8.2까지 지원되고 있으며, 국내 호스팅은 아직 PHP 7.4까지 지원하는 업체가 많습니다. 예를 들어, 카페24에서 PHP 7.4까지 지원하고 있습니다.

7월 현재 가장 많이 사용되고 있는 워드프레스 버전은 6.2이며 그 뒤를 이어 6.1 버전이 8%를 차지하고 있습니다.

워드프레스 버전 점유율
워드프레스 버전 점유율.

워드프레스와 테마, 플러그인은 보안을 위해 가급적 최신 버전으로 업데이트하는 것이 바람직합니다. 업데이트를 소홀히 하면 해킹을 당하거나 멀웨어(악성코드)에 감염될 우려가 있습니다.

다음 번 메이저 업데이트 버전인 워드프레스 6.3부터 PHP 5에 대한 지원이 공식적으로 중단되므로, PHP 5를 이용하는 경우 PHP 7.0 이상으로 업그레이드해야 최신 워드프레스 버전으로 업데이트가 가능합니다.

이용 중인 PHP 버전은 도구 » 사이트 건강 » 정보 탭 » 서버 섹션에서 확인이 가능합니다.

워드프레스 버전 확인

PHP 버전 업그레이드 방법을 모르는 경우 웹호스팅 업체에 연락하면 안내를 받을 수 있습니다. 카페24의 경우 PHP 5.x에서 PHP 7.4로 변경하면 서버가 바뀌므로 PHP 버전 변경 전에 데이터(Data)와 데이터베이스(DB) 백업본을 확실히 다운로드한 후에 진행해야 합니다.

카페24에서 백업 파일을 다운로드하지 않고 PHP 버전을 변경할 경우 사이트를 복구하지 못할 수 있습니다. 실제로 경고를 무시하고 백업 파일 백업 없이 PHP 버전을 변경하다 사이트를 복구하지 못하는 안타까운 상황을 몇 차례 목격했습니다.

PHP 버전을 변경한 후에 오래된 플러그인이 작동하지 않을 수도 있습니다. 그런 경우 최신 버전으로 업데이트하면 문제가 해결될 것입니다. 오랫동안 업데이트가 안 되고 방치되고 있는 플러그인은 삭제하는 것이 안전합니다.

참고


댓글 남기기

Leave a Comment